summaryrefslogtreecommitdiffstats
path: root/test/integration/targets/lookup_password/runme.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/targets/lookup_password/runme.sh')
-rwxr-xr-xtest/integration/targets/lookup_password/runme.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/test/integration/targets/lookup_password/runme.sh b/test/integration/targets/lookup_password/runme.sh
new file mode 100755
index 0000000..a3637a7
--- /dev/null
+++ b/test/integration/targets/lookup_password/runme.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+
+set -eux
+
+source virtualenv.sh
+
+# Requirements have to be installed prior to running ansible-playbook
+# because plugins and requirements are loaded before the task runs
+pip install passlib
+
+ANSIBLE_ROLES_PATH=../ ansible-playbook runme.yml -e "output_dir=${OUTPUT_DIR}" "$@"